Description: Fix build with new gdbm
  Change gdbm_errno to new gdbm_errno_location to fix build with new
  version of gdbm.
Author: Gianfranco Costamagna <locutusofborg@debian.org>
Forwarded: yes
Reviewed-By: Dmitry Bogatov <KAction@gnu.org>
Last-Update: 2018-07-15

diff --git a/gdbm-module.c b/gdbm-module.c
index 90adb7d..ab343e2 100644
--- a/gdbm-module.c
+++ b/gdbm-module.c
@@ -1044,7 +1044,7 @@ static SLang_Intrin_Fun_Type Module_Intrinsics [] =
 static SLang_Intrin_Var_Type Module_Variables [] =
 {
    MAKE_VARIABLE("_gdbm_module_version_string", &Module_Version_String, SLANG_STRING_TYPE, 1),
-   MAKE_VARIABLE("gdbm_errno", &gdbm_errno, SLANG_INT_TYPE, 1),
+   MAKE_VARIABLE("gdbm_errno", &gdbm_errno_location, SLANG_INT_TYPE, 1),
 /*%+
  *\variable{gdbm_errno}
  *\synopsis{gdbm's error code}
